/* 
 * Name: relation.h
 * Description: Relation Structure function header file
 * Version: $Id: relation.h,v 1.6 1996/09/05 22:39:42 rleyton Exp $
 *
 *   LEAP - An extensible and free RDBMS
 *   Copyright (C) 1996 Richard Leyton
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   See the file COPYING for more information.
 *
 *   Richard Leyton, c/o 3.Pelting Drove, Priddy, WELLS, 
 *   Somerset, BA5 3BA. E-Mail: richard_leyton@mail.amsinc.com
 *   and/or e0190404@brookes.ac.uk. http://www.brookes.ac.uk/~e0190404/leap.html
 *
 */

#ifndef LEAP_RELATION
#define LEAP_RELATION

#include "dtypes.h"
extern relation relation_create(database db,
				 char *relation_name,
			 boolean temporary);
extern void relation_print( relation_struct *relation);
extern relation relation_findfirst( database db ) ;
extern relation relation_findnext( relation rel ) ;
extern relation relation_find( database db,
			char *relname) ;
extern void relation_display( database db ) ;
extern boolean relation_temporary(relation rel) ;
extern char *relation_name(relation rel) ;
extern word relation_noattributes(relation rel) ;
extern void relation_full_path(relation rel,
			 char *string) ;
extern void relations_dispose_all( database db ) ;
extern void relations_open(database db) ;
#endif
