/* 
 * Name: rtional.h
 * Description: Relational Operators Header file.
 * Version: $Id: rtional.h,v 1.11 1996/09/05 22:39:42 rleyton Exp $
 *
 *   LEAP - An extensible and free RDBMS
 *   Copyright (C) 1996 Richard Leyton
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   See the file COPYING for more information.
 *
 *   Richard Leyton, c/o 3.Pelting Drove, Priddy, WELLS, 
 *   Somerset, BA5 3BA. E-Mail: richard_leyton@mail.amsinc.com
 *   and/or e0190404@brookes.ac.uk. http://www.brookes.ac.uk/~e0190404/leap.html
 *
 */

#ifndef LEAP_RTIONAL
#define LEAP_RTIONAL

#include "dtypes.h"

extern char *generate_random_string(word size,
			     char *pstring) ;
extern relation project_create_rtn_relation(database db,
				     relation rel,
				     char *attribute_list,
				     char *destname) ;
extern relation rl_project(database db,
		    relation rel,
		    char *attribute_list,
		    char *destname) ;
extern relation rl_union( database db,
		   relation rel1, relation rel2,
		   char *destname) ;
extern relation rl_intersect( database db,
		       relation rel1, 
		       relation rel2,
		       char *destname) ;
extern relation rl_difference( database db,
		       relation rel1, 
		       relation rel2,
		       char *destname) ;
extern relation rl_display( relation rl);
extern relation rl_product(database db,
			relation rel1, relation rel2,
			char *destname) ;
extern relation rl_select( database db,
			relation rel,
			char *qualification,
			char *dest) ;
extern relation rl_join( database db,
				relation lrel, relation rrel,
				char *qualification,
				char *destname) ;

#endif
