/* 
 * Name: tuples.h
 * Description: Tuple function headers.
 * Version: $Id: tuples.h,v 1.9 1996/09/05 22:39:42 rleyton Exp $
 *
 *   LEAP - An extensible and free RDBMS
 *   Copyright (C) 1996 Richard Leyton
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   See the file COPYING for more information.
 *
 *   Richard Leyton, c/o 3.Pelting Drove, Priddy, WELLS, 
 *   Somerset, BA5 3BA. E-Mail: richard_leyton@mail.amsinc.com
 *   and/or e0190404@brookes.ac.uk. http://www.brookes.ac.uk/~e0190404/leap.html
 *
 */

#ifndef LEAP_TUPLES
#define LEAP_TUPLES


#include "dtypes.h"

extern relation get_relation(tuple t); 
extern void tuple_dispose(tuple *ntuple) ;
extern tuple readfirst_tuple(relation rel,
			FILE **tfile,
			word *noattributes,
			boolean reuse,
			tuple old_tuple) ;
extern int readnext_tuple(tuple *ntuple,
			FILE **tfile,
			word *noattributes,
			boolean reuse) ;
extern tuple tuple_prepare_attributes(relation rel) ;
extern void tuple_to_string(tuple t,
    	 		     char *tuple_string) ;
extern int write_tuple(tuple wtuple) ;
extern void tuple_print(tuple ntuple,
		 boolean print_header) ;
extern attribute tuple_find_attribute( tuple ct,
				char *name) ;
extern char *tuple_find_attribute_val( tuple ct,
				char *name ) ;

#endif
