/* 
 * Name: util.h
 * Description: Utility operations header file.
 * Version: $Id: util.h,v 1.10 1996/09/08 22:39:14 rleyton Exp rleyton $
 *
 *   LEAP - An extensible and free RDBMS
 *   Copyright (C) 1996 Richard Leyton
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   See the file COPYING for more information.
 *
 *   Richard Leyton, c/o 3.Pelting Drove, Priddy, WELLS, 
 *   Somerset, BA5 3BA. E-Mail: richard_leyton@mail.amsinc.com
 *   and/or e0190404@brookes.ac.uk. http://www.brookes.ac.uk/~e0190404/leap.html
 *
 */

#ifndef LEAP_UTIL
#define LEAP_UTIL

extern void do_error(short int error_num, char *string, int fatality) ;
extern void writeln(char *string); 
extern void write(char *string); 
extern void util_init();
extern void upstring(char *string);
extern void report(char *report_string);
extern void do_trace(char *trace_string) ;
extern void util_close() ;
extern char *cut_to_right_bracket( char *s,
			   int bdepth, int force,
			   char *result) ;
extern char *get_token(char *string,
    	        	char seperator,
			char *result) ;
extern char *cut_token(char *string,
    	        	char seperator,
			char *result) ;
extern int get_command(char *word) ;
extern void check_assign(void *ptr, char *string) ;
extern void assign_input_stream( char *filen ) ;
extern char *find_start_of_data( char *string) ;
extern void list_source_code( void ) ;
extern void print_source_code( char *file_name ) ;

extern boolean status;
extern char ERROR_FILE[FILE_PATH_SIZE];
extern FILE *REPORT_FILE;
extern char LTRACE;
extern char LDEBUG;
extern char LTIMING;

#endif
